"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.FieldType = exports.FieldDataType = exports.onExtendedFieldUpdated = exports.onExtendedFieldDeleted = exports.onExtendedFieldCreated = exports.queryExtendedFields = exports.deleteExtendedField = exports.renameExtendedField = exports.getExtendedField = exports.findOrCreateExtendedField = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const contacts_v4_extended_field_extended_fields_universal_js_1 = require("./contacts-v4-extended-field-extended-fields.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/crm' };
function findOrCreateExtendedField(httpClient) {
    return (displayName, dataType) => (0, contacts_v4_extended_field_extended_fields_universal_js_1.findOrCreateExtendedField)(displayName, dataType, 
    // @ts-ignore
    { httpClient });
}
exports.findOrCreateExtendedField = findOrCreateExtendedField;
function getExtendedField(httpClient) {
    return (key) => (0, contacts_v4_extended_field_extended_fields_universal_js_1.getExtendedField)(key, 
    // @ts-ignore
    { httpClient });
}
exports.getExtendedField = getExtendedField;
function renameExtendedField(httpClient) {
    return (key, field) => (0, contacts_v4_extended_field_extended_fields_universal_js_1.renameExtendedField)(key, field, 
    // @ts-ignore
    { httpClient });
}
exports.renameExtendedField = renameExtendedField;
function deleteExtendedField(httpClient) {
    return (key) => (0, contacts_v4_extended_field_extended_fields_universal_js_1.deleteExtendedField)(key, 
    // @ts-ignore
    { httpClient });
}
exports.deleteExtendedField = deleteExtendedField;
function queryExtendedFields(httpClient) {
    return () => (0, contacts_v4_extended_field_extended_fields_universal_js_1.queryExtendedFields)(
    // @ts-ignore
    { httpClient });
}
exports.queryExtendedFields = queryExtendedFields;
exports.onExtendedFieldCreated = (0, sdk_types_1.EventDefinition)('wix.contacts.v4.extended-field_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onExtendedFieldDeleted = (0, sdk_types_1.EventDefinition)('wix.contacts.v4.extended-field_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'undefined.createdDate' },
            { path: 'undefined.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onExtendedFieldUpdated = (0, sdk_types_1.EventDefinition)('wix.contacts.v4.extended-field_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
var contacts_v4_extended_field_extended_fields_universal_js_2 = require("./contacts-v4-extended-field-extended-fields.universal.js");
Object.defineProperty(exports, "FieldDataType", { enumerable: true, get: function () { return contacts_v4_extended_field_extended_fields_universal_js_2.FieldDataType; } });
Object.defineProperty(exports, "FieldType", { enumerable: true, get: function () { return contacts_v4_extended_field_extended_fields_universal_js_2.FieldType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return contacts_v4_extended_field_extended_fields_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return contacts_v4_extended_field_extended_fields_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=contacts-v4-extended-field-extended-fields.public.js.map