import { findOrCreateExtendedField as publicFindOrCreateExtendedField, getExtendedField as publicGetExtendedField, renameExtendedField as publicRenameExtendedField, deleteExtendedField as publicDeleteExtendedField, queryExtendedFields as publicQueryExtendedFields } from './contacts-v4-extended-field-extended-fields.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onExtendedFieldCreated as publicOnExtendedFieldCreated } from './contacts-v4-extended-field-extended-fields.public.js';
import { onExtendedFieldDeleted as publicOnExtendedFieldDeleted } from './contacts-v4-extended-field-extended-fields.public.js';
import { onExtendedFieldUpdated as publicOnExtendedFieldUpdated } from './contacts-v4-extended-field-extended-fields.public.js';
export declare const findOrCreateExtendedField: MaybeContext<BuildRESTFunction<typeof publicFindOrCreateExtendedField> & typeof publicFindOrCreateExtendedField>;
export declare const getExtendedField: MaybeContext<BuildRESTFunction<typeof publicGetExtendedField> & typeof publicGetExtendedField>;
export declare const renameExtendedField: MaybeContext<BuildRESTFunction<typeof publicRenameExtendedField> & typeof publicRenameExtendedField>;
export declare const deleteExtendedField: MaybeContext<BuildRESTFunction<typeof publicDeleteExtendedField> & typeof publicDeleteExtendedField>;
export declare const queryExtendedFields: MaybeContext<BuildRESTFunction<typeof publicQueryExtendedFields> & typeof publicQueryExtendedFields>;
/**
 * Triggered when an extended field is created.
 */
export declare const onExtendedFieldCreated: ReturnType<typeof createEventModule<typeof publicOnExtendedFieldCreated>>;
/**
 * Triggered when an extended field is deleted.
 */
export declare const onExtendedFieldDeleted: ReturnType<typeof createEventModule<typeof publicOnExtendedFieldDeleted>>;
/**
 * Triggered when an extended field is updated.
 */
export declare const onExtendedFieldUpdated: ReturnType<typeof createEventModule<typeof publicOnExtendedFieldUpdated>>;
export { FieldDataType, FieldType, SortOrder, WebhookIdentityType, } from './contacts-v4-extended-field-extended-fields.universal.js';
export { ExtendedField, ListExtendedFieldsRequest, Sorting, Paging, ListExtendedFieldsResponse, PagingMetadata, FindOrCreateExtendedFieldRequest, FindOrCreateExtendedFieldResponse, GetExtendedFieldRequest, GetExtendedFieldResponse, GetExtendedFieldByLegacyIdRequest, GetExtendedFieldByLegacyIdResponse, UpdateExtendedFieldRequest, UpdateExtendedFieldResponse, DeleteExtendedFieldRequest, DeleteExtendedFieldResponse, PurgeRequest, PurgeResponse, GdprListRequest, GdprListResponse, QueryExtendedFieldsRequest, Query, QueryExtendedFieldsResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, ExtendedFieldNonNullableFields, FindOrCreateExtendedFieldResponseNonNullableFields, GetExtendedFieldResponseNonNullableFields, UpdateExtendedFieldResponseNonNullableFields, QueryExtendedFieldsResponseNonNullableFields, BaseEventMetadata, EventMetadata, ExtendedFieldCreatedEnvelope, ExtendedFieldDeletedEnvelope, ExtendedFieldUpdatedEnvelope, RenameExtendedField, FieldsQueryResult, FieldsQueryBuilder, } from './contacts-v4-extended-field-extended-fields.universal.js';
