import { renameKeysFromRESTResponseToSDKResponse } from '@wix/sdk-runtime/rename-all-nested-keys';
import { transformRESTTimestampToSDKTimestamp } from '@wix/sdk-runtime/transformations/timestamp';
import { transformPaths } from '@wix/sdk-runtime/transformations/transform-paths';
import { EventDefinition } from '@wix/sdk-types';
import { deleteExtendedField as universalDeleteExtendedField, findOrCreateExtendedField as universalFindOrCreateExtendedField, getExtendedField as universalGetExtendedField, queryExtendedFields as universalQueryExtendedFields, renameExtendedField as universalRenameExtendedField, } from './contacts-v4-extended-field-extended-fields.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/crm' };
export function findOrCreateExtendedField(httpClient) {
    return (displayName, dataType) => universalFindOrCreateExtendedField(displayName, dataType, 
    // @ts-ignore
    { httpClient });
}
export function getExtendedField(httpClient) {
    return (key) => universalGetExtendedField(key, 
    // @ts-ignore
    { httpClient });
}
export function renameExtendedField(httpClient) {
    return (key, field) => universalRenameExtendedField(key, field, 
    // @ts-ignore
    { httpClient });
}
export function deleteExtendedField(httpClient) {
    return (key) => universalDeleteExtendedField(key, 
    // @ts-ignore
    { httpClient });
}
export function queryExtendedFields(httpClient) {
    return () => universalQueryExtendedFields(
    // @ts-ignore
    { httpClient });
}
export const onExtendedFieldCreated = EventDefinition('wix.contacts.v4.extended-field_created', true, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
export const onExtendedFieldDeleted = EventDefinition('wix.contacts.v4.extended-field_deleted', true, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'undefined.createdDate' },
            { path: 'undefined.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
export const onExtendedFieldUpdated = EventDefinition('wix.contacts.v4.extended-field_updated', true, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
export { FieldDataType, FieldType, SortOrder, WebhookIdentityType, } from './contacts-v4-extended-field-extended-fields.universal.js';
//# sourceMappingURL=contacts-v4-extended-field-extended-fields.public.js.map